IntegrationsN1

Show one contact with identification, address, tax attributes and flags.

POST
/integrations/connections/{connection_id}/providers/n1/contacts/get

Show one contact with identification, address, tax attributes and flags.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/n1/contacts/get" \  -H "Content-Type: application/json" \  -d '{    "company_id": 1,    "contact_id": 1  }'
{  "id": 0,  "id_type": "example",  "person_type": "example",  "first_name": "example",  "last_name": "example",  "legal_name": "example",  "name": "Customer documents",  "address_line_1": "example",  "address_line_2": "example",  "whitelisted_supplier": false,  "tax_schema_id": "example",  "is_declarante_renta": false,  "is_autoretenedor_renta": false,  "regimen": "example",  "foreign_retention_regime": "example",  "foreign_service_is_iva_taxable": false}